Subject: snmpconf Re: diagmgr

From: Michael MacFaden <[email-masked]>
Date: Mon, 14 Jan 2002 20:45:12 -0800

On Mon, Jan 14, 2002 at 07:28:23PM -0800, Ravi Josyula wrote:
>
>As of now, they are not different. The diagmgr will talk to the helpers
>also. I duplicated it because I thought they might end up looking
>different. Maybe, we can use the same APIs.

Yeah, I'd hope you would factor the code into some library that 
both programs use. I'm sure code changes will be easier to get
right then.

>I am a bit concerned about end-ian issues. As I use the same protocol for
>all show commands, I need to marshal it and as of now, I marshal as a byte
>stream into the message and I demarshal it. What if the front end and back
>end are different platforms? I need to talk to Brian in detail about this
>before he leaves!

Indeed.

>Thanks,
>Ravi.